group 'cz.uhk'
version '0.1.1'

apply plugin: 'base'
apply plugin: 'java'
apply plugin: 'war'
apply plugin: 'idea'


repositories {
    mavenCentral()
    maven {
        url "http://repository.primefaces.org"
    }
}


configurations {
    provided
    provided.extendsFrom(compile)
}
idea {
    module {
        scopes.PROVIDED.plus += [configurations.provided]
    }
}

sourceSets {
    main.compileClasspath += configurations.provided
    test.compileClasspath += configurations.provided
    test.runtimeClasspath += configurations.provided
}

def var = dependencies {
    testCompile group: 'junit', name: 'junit', version: '4.11'
    provided 'javax:javaee-api:7.0'
    provided 'javax.ws.rs:javax.ws.rs-api:2.0-m01'
    compile('org.primefaces:primefaces:6.0')
    compile files ('modena-theme-2.0.2.jar')
    compile 'mysql:mysql-connector-java:5.1.39'
    compile 'org.hibernate:hibernate-core:4.3.6.Final'
}


